Summary: libnet module for perl (../authors/id/GBARR)
Name: perl-libnet
Version: 1.0703
Release: 5
Copyright: Artistic
Group: Development/Languages
Source0: libnet-1.0703.tar.gz
Url: http://www.cpan.org
BuildRoot: /var/tmp/perl-libnet-buildroot/
BuildRequires: perl >= 5.6
Requires: perl >= 5.6

%description
libnet is a collection of Perl modules which provides a simple and consistent
programming interface (API) to the client side of various protocols used in
the internet community.

For details of each protocol please refer to the RFC. RFC's can be found a
various places on the WEB, for a staring point look at:

    http://www.yahoo.com/Computers_and_Internet/Standards/RFCs/

The RFC implemented in this distribution are

Net::FTP        RFC959          File Transfer Protocol
Net::SMTP       RFC821          Simple Mail Transfer Protocol
Net::Time       RFC867          Daytime Protocol
Net::Time       RFC868          Time Protocol
Net::NNTP       RFC977          Network News Transfer Protocol
Net::POP3       RFC1939         Post Office Protocol 3
Net::SNPP       RFC1861         Simple Network Pager Protocol

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n libnet-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > libnet-1.0607-filelist
if [ "$(cat libnet-1.0607-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f libnet-1.0607-filelist
%defattr(-,root,root)

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Tue May 2 2000 Tim Powers <timp@redhat.com>
- updated to 1.0703
- changed group since this is on Powertools, not CPAN
- built for Powertools

* Tue Feb 15 2000 root <root@redhat.com>
- Spec file was autogenerated. 
